MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
sc::OneBodyOneCenterDerivInt Class Referenceabstract

OneBodyOneCenterDerivInt is an abstract base class for objects that compute one body derivative integrals on a single center. More...

`#include <obint.h>`

Inheritance diagram for sc::OneBodyOneCenterDerivInt:
[legend]
Collaboration diagram for sc::OneBodyOneCenterDerivInt:
[legend]

## Public Member Functions
| OneBodyOneCenterDerivInt (Integral *, const Ref< GaussianBasisSet > &b)
int | nbasis () const
| Return the number of basis functions on center one.
int | nbasis1 () const
| Return the number of basis functions on center one.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on center one.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on center one.
const double * | buffer () const
| The computed shell integrals will be put in the buffer returned by this member. More...
virtual void | compute_shell (int ish, DerivCenters &)=0
| Compute the derivative integrals and place the result in the buffer returned by buffer(). More...
virtual void | compute_shell (int ish, int center)=0
| Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer(). More...
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes
Integral * | integral_
Ref< GaussianBasisSet > | bs1
double * | buffer_

## Additional Inherited Members
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

OneBodyOneCenterDerivInt is an abstract base class for objects that compute one body derivative integrals on a single center.

## Member Function Documentation

const double* sc::OneBodyOneCenterDerivInt::buffer | ( |  | ) | const

The computed shell integrals will be put in the buffer returned by this member.

virtual void sc::OneBodyOneCenterDerivInt::compute_shell | ( | int | ish,
|  | DerivCenters & |
| ) |  |
| pure virtual

Compute the derivative integrals and place the result in the buffer returned by buffer().

virtual void sc::OneBodyOneCenterDerivInt::compute_shell | ( | int | ish,
|  | int | center
| ) |  |
| pure virtual

Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

The documentation for this class was generated from the following file:

- obint.h